summaryrefslogtreecommitdiff
path: root/recipes/ti/matrix-gui/dm365-evm
diff options
context:
space:
mode:
authorChase Maupin <chase.maupin@ti.com>2010-05-27 10:57:15 -0500
committerKoen Kooi <koen@openembedded.org>2010-05-28 09:21:14 +0200
commitc528aa3b9d631086017df989ffd806804fa9707a (patch)
treea041f521723f858d108d76c3b0f04fe194a21066 /recipes/ti/matrix-gui/dm365-evm
parent8c348ea2a4e7a5351a902c09938fbad4548eeafa (diff)
matrix-gui_svn: X11 version of matrix GUI
* Added recipe to build matrix GUI application with Qt X11 libraries. * Changed init script to not place an entry in the /etc/rc5.d directory. Init script is still used for starting the matrix_gui application. * Added patch to enable the cursor for X11 Acked-by: Denys Dmytriyenko <denys@ti.com> Signed-off-by: Chase Maupin <chase.maupin@ti.com> Signed-off-by: Koen Kooi <k-kooi@ti.com>
Diffstat (limited to 'recipes/ti/matrix-gui/dm365-evm')
-rw-r--r--recipes/ti/matrix-gui/dm365-evm/init26
1 files changed, 26 insertions, 0 deletions
diff --git a/recipes/ti/matrix-gui/dm365-evm/init b/recipes/ti/matrix-gui/dm365-evm/init
new file mode 100644
index 0000000000..3aadc1e6d9
--- /dev/null
+++ b/recipes/ti/matrix-gui/dm365-evm/init
@@ -0,0 +1,26 @@
+#! /bin/sh
+matrixgui="/usr/bin/matrix_gui"
+GUI_OPTS="-geometry 720x480+0+10 -display transformed:Rot0 /usr/share/matrix/html/menu_main.html"
+
+test -x "$matrixgui" || exit 0
+
+case "$1" in
+ start)
+ # switch to component 480p mode
+ echo 480P-60 > /sys/class/davinci_display/ch0/mode
+ echo COMPONENT > /sys/class/davinci_display/ch0/output
+ echo -n "Starting Matrix GUI application"
+ start-stop-daemon --start --quiet --background --pidfile /var/run/matrix-gui.pid --exec $matrixgui -- $GUI_OPTS
+ echo "."
+ ;;
+ stop)
+ echo -n "Stopping Matrix GUI application"
+ start-stop-daemon --stop --quiet --pidfile /var/run/matrix-gui.pid
+ echo "."
+ ;;
+ *)
+ echo "Usage: /etc/init.d/matrix-gui {start|stop}"
+ exit 1
+esac
+
+exit 0